> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# List paid recommendation applications <Badge intent="info" minimal outlined>OAuth Scope: posts:read</Badge>

GET https://api.beehiiv.com/v2/publications/{publicationId}/paid_recommendations/applications

This feature is currently in beta and the API is subject to change.

List the applications to your publication's paid recommendation offers. Filter by `status=pending` for applications waiting for a decision. An accepted application becomes a partnership with the same ID.

Reference: https://developers.beehiiv.com/api-reference/paid-recommendations-applications/index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object

### Query parameters

- `status` (enum, optional) — Only return applications with this status.
  - Allowed values: `pending`, `rejected`, `frozen`, `archived`
- `offer_id` (string, optional) — Only return applications on this offer.
- `limit` (integer, optional) — A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
- `cursor` (string, optional) — Use the opaque cursor token from `next_cursor` to fetch the next page of results.
- `order_by` (enum, optional, default: created) — The field that the results are sorted by. Defaults to created. `created` - The time the application was submitted. `updated` - The time the record was last updated.
  - Allowed values: `created`, `updated`
- `direction` (enum, optional, default: asc) — The direction that the results are sorted in. Defaults to asc. `asc` - Ascending, sorts from smallest to largest. `desc` - Descending, sorts from largest to smallest.
  - Allowed values: `asc`, `desc`

## Response

### 200

OK

- `data` (list of PaidRecommendationApplication, required) — An array of applications.
- `limit` (integer, optional) — The limit placed on the results. If no limit was specified in the request, this defaults to 10.
- `page` (integer, optional, default: 1) — **Offset pagination only**: The page number the results are from. Only present when using deprecated offset-based pagination.
- `total_pages` (integer, optional) — **Offset pagination only**: The total number of pages. Only present when using deprecated offset-based pagination.
- `has_more` (boolean, optional) — **Cursor pagination only**: Indicates whether there are more results available after the current page.
- `next_cursor` (string, optional) — **Cursor pagination only**: The cursor token to use for fetching the next page of results. This will be null if has_more is false.
- `total_results` (integer, optional) — The total number of results from all pages.

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 403 Forbidden Error

Forbidden

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### PaidRecommendationApplication

- `accepted_subscribers` (integer, required) — Subscribers that passed verification and were paid for.
- `auto_accepted` (boolean, required) — Whether the application was accepted automatically by the offer's auto-accept settings.
- `created_at` (integer, required) — The time the application was submitted. Measured in seconds since the Unix epoch.
- `id` (string, required) — The prefixed ID of the application or partnership.
- `offer` (PaidRecommendationAgreementOffer, required) — The offer the recommending publication applied to.
- `pending_spend_cents` (integer, required) — The amount in cents reserved for pending subscribers.
- `pending_subscribers` (integer, required) — Subscribers waiting for verification.
- `recommending_publication` (PaidRecommendationAgreementPublication, required) — The publication that recommends you.
- `status` (enum, required) — The current status of the application.
  - Allowed values: `pending`, `rejected`, `frozen`, `archived`
- `total_spend_cents` (integer, required) — The amount in cents spent on accepted subscribers.
- `total_subscribers` (integer, required) — All subscribers the recommending publication has sent you, in any verification state.
- `updated_at` (integer, required) — The time the record was last updated. Measured in seconds since the Unix epoch.
- `rejected_reason` (string, optional) — The reason given when the application was rejected. The applicant sees this reason.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

### PaidRecommendationAgreementOffer

- `id` (string, required) — The prefixed ID of the offer.
- `name` (string, required) — The name of the offer.

### PaidRecommendationAgreementPublication

- `id` (string, required) — The prefixed ID of the recommending publication.
- `name` (string, required) — The name of the recommending publication.
- `url` (string, required) — The URL of the recommending publication's website.

## Examples

**Response**

```json
{
  "data": [
    {
      "accepted_subscribers": 0,
      "auto_accepted": false,
      "created_at": 1767225600,
      "id": "rec_agr_00000000-0000-0000-0000-000000000000",
      "offer": {
        "id": "rec_offer_00000000-0000-0000-0000-000000000000",
        "name": "Spring growth offer"
      },
      "pending_spend_cents": 0,
      "pending_subscribers": 0,
      "recommending_publication": {
        "id": "pub_00000000-0000-0000-0000-000000000001",
        "name": "The Morning Brief",
        "url": "https://morningbrief.beehiiv.com/"
      },
      "status": "pending",
      "total_spend_cents": 0,
      "total_subscribers": 0,
      "updated_at": 1767312000,
      "rejected_reason": null
    }
  ],
  "limit": 10,
  "has_more": false,
  "next_cursor": null
}
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications"

querystring = {"status":"pending"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications?status=pending';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications?status=pending"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications?status=pending")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications?status=pending")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications?status=pending', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications?status=pending");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/applications?status=pending")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```